cURL
curl --request GET \ --url https://sigmacdd.sabipay.com/cdd/customers/{uniqueId} \ --header 'apiKey: <api-key>' \ --header 'apiSecret: <api-key>'
{ "message": "Cdd customer fetched successfully", "data": { "customer": { "_id": "67f50d48c2a7d1f2b6e99389", "name": "Aisha Bello", "uniqueId": "CUS-10001", "type": "individual", "status": "active", "channel": "WEB_PORTAL", "cddStatus": "pending review", "riskTier": "medium", "overallRiskRating": { "riskLevel": "medium", "riskScore": 62, "user": { "firstName": "Risk", "lastName": "Officer" } }, "cddVerificationStatus": "Awaiting Confirmation", "createdAt": "2026-03-25T10:25:00.000Z" }, "verifications": { "id": [ { "key": "bvn", "name": "BVN Verification", "status": "Verified", "requestId": "67f510d8c2a7d1f2b6e99401", "lastRunAt": "2026-03-25T10:40:00.000Z" } ], "others": [ { "key": "pep", "name": "PEP Screening", "status": "Awaiting Confirmation", "requestId": "67f510d8c2a7d1f2b6e99401", "lastRunAt": "2026-03-25T10:40:00.000Z" } ] }, "runningCdd": null, "analysis": "Customer has moderate risk due to occupation and transaction pattern." } }
GET api/v1/cdd/customers/{uniqueId}
Documentation IndexFetch the complete documentation index at: https://sigma-docs.pastel.africa/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://sigma-docs.pastel.africa/llms.txt
Use this file to discover all available pages before exploring further.
The customer's uniqueId or account number
Customer fetched